# POST /api/v1/policy/{orgId}/update

**Update Organization Scan Policy**

Creates or updates an organization scan policy for this organization.

> 🧾 Audited
> This is recorded as `ORGANIZATION_POLICY_MODIFIED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:policy` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.

## Request Body

### application/json

- `scanPolicy` (scanpolicy.ScanPolicy)
  - `applicationId` (string) — The UUID identifier of the scan policy application. If no application ID is present, the scan policy is defined by StackHawk. If the application ID is present, then the scan policy is customized for the given application only.
  - `description` (string) — The description for this policy.
  - `displayName` (string) — The human readable display name for this policy.
  - `id` (string) — The UUID identifier of this scan policy.
  - `isCustomized` (boolean) — Indicates whether the plugins have been updated from original scan policy.
  - `name` (string) — The referencable unique name of a StackHawk scan policy.
  - `plugins` (scanpolicy.Plugin[]) — List of the plugins defined for this policy.
    - `defaultRisk` (string) — Default risk for this plugin. Currently unused.
    - `enabled` (boolean) — Enables the plugin. Plugins will only run in a scan when marked as enabled.
    - `maxAlerts` (integer<int32>) — Maximum number of alerts from this plugin reported to the platform. The plugin keeps testing past the limit; only reporting is capped. Unset or 0 means unlimited. Must be non-negative; HawkScan treats a negative value as 0 (unlimited). Managed by StackHawk.
    - `name` (string) — The Plugin name.
    - `pluginId` (string) — The UUID identifier of this plugin.
    - `pluginType` (string) — The type of plugin to run as. Either ACTIVE or PASSIVE.
    - `status` (string) — The release quality of this plugin.
    - `strength` (string) — The strength of this plugin. Currently unused.
    - `threshold` (string) — The threshold of this plugin. Currently unused.
  - `techFlags` (object) — Technology flags for this policy. This is a collection of specific technology identifiers that further configure scan behavior.

## Responses

### 200 — OK

- (no body)

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
